|
|||||||||
| Home >> All >> com >> [ sonoma overview ] | PREV NEXT | ||||||||
A
- add(XSLParam) - Method in class com.sonoma.XSLParamVector
- returns the index of the added parameter
- addAuthorInfo() - Method in class com.sonoma.SiteContent
- Not yet implemented or used
- addChapter(Document, String, String, String) - Method in class com.sonoma.SiteMenu
- Creates a new Chapter in the DocBook
- addLongArticle(Document, dbNewArticle) - Method in class com.sonoma.SiteContent
- Creates a new article (posting) xml file.
- addParagraph(Document, String, int, spParagraph) - Method in class com.sonoma.SiteContent
- Adds a new paragraph Before the specified paragraph number
- addParameter(String, String) - Method in class com.sonoma.TransformUtility
- XSL files take parameters.
- addSect1(Node, String, String, XMLUtility) - Method in class com.sonoma.SiteMenu
- adds a new section to the end of a chapter node
- addSect1(Document, String, String, String, String) - Method in class com.sonoma.SiteMenu
- adds a new section to a selected chapter before the chapter with the selectedID value
- addTitle(Document, String, int, String) - Method in class com.sonoma.SiteContent
- Adds a Title element to the chapter or article.
C
- com.sonoma - package com.sonoma
- createArticle(String, dbNewArticle) - Method in class com.sonoma.RDFContent
- Creates new Article Node for Topics.xml file
- createMenuXPath(String, String) - Method in class com.sonoma.SiteMenu
- Creates a valid XPath with a Chapter and SectionID
- createMenuXPath(String) - Method in class com.sonoma.SiteMenu
- Creates a valid XPath with a ChapterID
- createTextElement(String, String) - Method in class com.sonoma.XMLUtility
- Deprecated.
- createTextElement(Document, String, String) - Method in class com.sonoma.XMLUtility
- creates a new node based on the partName and value
- createXPath(int, String, boolean) - Method in class com.sonoma.SiteContent
- Creates XPath Query based on request parameters, usually from JSP pages.
- createXPath(String, String) - Method in class com.sonoma.SiteMenu
D
- deleteParagraph(Document, String, int) - Method in class com.sonoma.SiteContent
- Deletes paragraphs title, anything at the section level
- deleteParagraph(Document, int, String) - Method in class com.sonoma.SiteContent
- Deprecated.
- doc - Variable in class com.sonoma.XMLUtility
F
- filename - Variable in class com.sonoma.XMLUtility
G
- getNode(Document, String) - Method in class com.sonoma.XMLUtility
- Returns an XML node object from the XPath query
I
- iCount - Variable in class com.sonoma.XSLParamVector
L
- loadDoc(String) - Method in class com.sonoma.XMLUtility
- Loads an XML file
M
- moveChapter(Document, String, String) - Method in class com.sonoma.SiteMenu
- Removes a chapter and adds it back in a new location (before the new location)
- moveParagraph(Document, String, int, int) - Method in class com.sonoma.SiteContent
- Copies a paragraph node to a new position then deletes it
- moveSect1(Document, String, String, String, String) - Method in class com.sonoma.SiteMenu
- Moves a section from one place to another within the DocBook file
N
- ndDocRoot - Variable in class com.sonoma.XMLUtility
P
- ParamName() - Method in class com.sonoma.XSLParam
- ParamValue() - Method in class com.sonoma.XSLParam
- processParagraph(Document, XMLUtility, Node, spParagraph) - Method in class com.sonoma.SiteContent
- Creates a new paragraph element and sub elements (only inlinemediaobject and ulinks are currently supported
R
- RDFContent - class com.sonoma.RDFContent.
- Creates RDF type of nodes (item nodes) and attributes for topics and calendar xml files.
- RDFContent() - Constructor for class com.sonoma.RDFContent
- Creates new dbRDF
- removeChapter(Document, String) - Method in class com.sonoma.SiteMenu
- Removes a chapter
- removeSect1(Document, String, String) - Method in class com.sonoma.SiteMenu
- Removes a section from a chapter in the DocBook file
S
- SiteContent - class com.sonoma.SiteContent.
- Creates DocBook Paragraph of nodes (item nodes) and attributes.
- SiteContent() - Constructor for class com.sonoma.SiteContent
- SiteMenu - class com.sonoma.SiteMenu.
- SiteMenu manages Chapters and Sections.
- SiteMenu() - Constructor for class com.sonoma.SiteMenu
- Creates new dbContent
- sContentType - Variable in class com.sonoma.TransformUtility
- saveDoc() - Method in class com.sonoma.SiteContent
- Deprecated Not supported
- saveDoc(Document, String) - Method in class com.sonoma.XMLUtility
- This function is not yet working! There seems to be some buffer size issues Use the XMLDocumentWriter instead (for now)
- setAdmin(String, String, String) - Method in class com.sonoma.XMLUtility
- setLogin should be moved to a security class Different from set Login.
- setContentType(String) - Method in class com.sonoma.TransformUtility
- setDocRootNode() - Method in class com.sonoma.XMLUtility
- Deprecated.
- setDocRootNode(String) - Method in class com.sonoma.XMLUtility
- setLogin(String, String) - Method in class com.sonoma.XMLUtility
- setLogin should be moved to a security class
- setRDFAttributes(Node, String, String, String, String, String, String) - Method in class com.sonoma.RDFContent
- Sets attributes for Item nodes in Topics.xml file
- setXMLDoc(String) - Method in class com.sonoma.TransformUtility
- Sets which XML file is to transformed
- setXSLDoc(String) - Method in class com.sonoma.TransformUtility
- Sets which XSL file is to be used perform the transformation
- strName - Variable in class com.sonoma.XSLParam
- strValue - Variable in class com.sonoma.XSLParam
T
- Transform(PrintWriter) - Method in class com.sonoma.TransformUtility
- Performs the transformation.
- TransformUtility - class com.sonoma.TransformUtility.
- Utitlity that transforms xml files with XSL.
- TransformUtility() - Constructor for class com.sonoma.TransformUtility
- Creates new myxml2
U
- updateChapter(Document, String, String, String) - Method in class com.sonoma.SiteMenu
- Updates a new Chapter in the DocBook
- updateParagraph(Document, String, int, spParagraph) - Method in class com.sonoma.SiteContent
- Updates the Node of a paragraph for DocBooks and DocBook Articles.
- updateSect1(Document, String, String, String, String) - Method in class com.sonoma.SiteMenu
- Updates a Section
V
- vParameters - Variable in class com.sonoma.TransformUtility
X
- XMLUtility - class com.sonoma.XMLUtility.
- Utility 'helper' that handles XML operations to create, load, save, and add to documents.
- XMLUtility() - Constructor for class com.sonoma.XMLUtility
- Creates new XMLUtility
- XSLParam - class com.sonoma.XSLParam.
- Simple class to hold name - value pair for XSL parameters Other classes and JSP pages use this object instead of Xerces or XML.
- XSLParam(String, String) - Constructor for class com.sonoma.XSLParam
- XSLParam() - Constructor for class com.sonoma.XSLParam
- XSLParamVector - class com.sonoma.XSLParamVector.
- XSLParamVector holds paramaters that match those in an XSL style sheet.
- XSLParamVector() - Constructor for class com.sonoma.XSLParamVector
- xmlCurrentNode - Variable in class com.sonoma.SiteMenu
- xmlDoc - Variable in class com.sonoma.TransformUtility
- xmlNode - Variable in class com.sonoma.SiteContent
- xslDoc - Variable in class com.sonoma.TransformUtility
A C D F G I L M N P R S T U V X
|
|||||||||
| Home >> All >> com >> [ sonoma overview ] | PREV NEXT | ||||||||